QGIS Application - Feature request #19403
identify interpolate between measures
2018-07-12 11:58 AM - Gavin Fleming

Status: Closed

Priority: Normal

Assignee:

Category: Geometry

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 27231
Description

If a line has geometry with M values, Identify currently shows 'closest vertex M' as a derived value in the Identify panel. It should however
also be showing the interpolated measure, which it no longer does. See
https://github.com/blazek/Irs/issues/24#issuecomment-404443408

Associated revisions

Revision 3f9ea774 - 2018-08-14 12:30 PM - Nyall Dawson

Resurrect display of interpolated z/m in identify results, and

add closest point x/y (closest point on geometry)

Add tests

Fixes #19403

Revision b58849f3 - 2018-08-17 12:23 AM - Nyall Dawson

Resurrect display of interpolated z/m in identify results, and

add closest point x/y (closest point on geometry)

Add tests

Fixes #19403

(cherry-picked from 3f9ea774c)

History

#1 - 2018-07-12 01:26 PM - Nyall Dawson
- Tracker changed from Bug report to Feature request

- Subject changed from identify no longer interpolates between measures to identify interpolate between measures

Qgis has never interpolated z/m for the identify tool - maybe this was a plugin implementing it.

#2 - 2018-08-13 01:16 PM - Radim Blazek

It was working. | implemented interpolated measure in identify tool here: https://github.com/qgis/QGIS/commit/5c6e794b2d57e as replacement of that

functionality in LRS plugin, when M became supported by QGIS core in 3.x. Note "Closest point M" and QgsGeometryUltils::closestPointMeasure() in the
commit.

#3 - 2018-08-14 02:05 AM - Nyall Dawson
- Status changed from Open to In Progress
- Pull Request or Patch supplied changed from No to Yes

https://github.com/qgis/QGIS/pull/7607

#4 - 2018-08-14 12:29 PM - Nyall Dawson
- Status changed from In Progress to Closed
- % Done changed from 0 to 100

Applied in changeset commit:qgis|3f9ea774c4a4834392{3829a8f4261d2c9a8ad25.

#5 - 2018-08-14 09:33 PM - Radim Blazek

Thanks for quick resolution.
